from flask import Flask
import os


def create_app():
    SECRET_KEY = os.urandom(32)
    app = Flask(__name__)
    app.config['SECRET_KEY'] = SECRET_KEY

    from backstage.collections.routes import collections_app
    from backstage.editor.routes import editor_app
    from backstage.home.routes import home_app
    from backstage.blogs.routes import blogs_app

    app.register_blueprint(collections_app)
    app.register_blueprint(editor_app)
    app.register_blueprint(home_app)
    app.register_blueprint(blogs_app)

    return app
