const contentDiv = document.getElementById('editor_block');
const titleButton = document.getElementById('title_button');
const submitButton = document.getElementById('submit_button');
const contentApiUrl = `${PORTAL_SERVER}contents?url=${(JSON.parse(document.getElementById('url').textContent)).url}`
axios.get(contentApiUrl).then(({ data }) => {
  const content = _.get(data, '0.content', '');
  var blockArray = [{title: '', data: []}];
  var blockCount = 0;
  const {frontMatters, preBlockArray}  = parseMd(content);
  for (var blockData of preBlockArray) {
    blockCount = loadDataToBlock(blockArray, blockCount, blockData);
  }
  titleButton.onclick = function() {
    blockCount = loadDataToBlock(blockArray, blockCount);
  }

  submitButton.onclick = function() {
    var mdContent = '';
    for (var frontMatter of frontMatters) {
      mdContent += frontMatter + '\n';
    }
    for (var idx=0; idx<blockArray.length; idx++) {
      mdContent += `\n## **${_.get(blockArray[idx], 'title', '')}**`
      for (var data of _.get(blockArray[idx], 'data', [])) {
        if (_.get(_.keys(data), 0) === 'description') {
          mdContent += '\n' + _.get(data, 'description.text', '');
        } else if (_.get(_.keys(data), 0) === 'image') {
          ampImgForm = `\n<amp-img\
\n  alt="${_.get(data, 'image.alt', '小寶優居')}"\
\n  src="${_.get(data, 'image.src', '')}"\
\n  height="${_.get(data, 'image.height', 300)}"\
\n  width="${_.get(data, 'image.width', 400)}"\
\n  layout="${_.get(data, 'image.layout', 'responsive')}">\
\n</amp-img>`;
          mdContent += ampImgForm;
        }
      }
    }

    const postData = {
      content: mdContent,
      url: (JSON.parse(document.getElementById('url').textContent)).url
    }
    axios.post(contentApiUrl, json=postData);
  }
});
